Bug 527530 - yum download display rather weird
Summary: yum download display rather weird
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-urlgrabber
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: James Antill
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-06 20:02 UTC by Michal Jaegermann
Modified: 2014-01-21 23:11 UTC (History)
6 users (show)

Fixed In Version: python-urlgrabber-3.9.1-4.2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-18 21:44:49 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2009-10-06 20:02:43 UTC
Description of problem:

In recent times when downloading something through yum what is displayed looks rather strange.  For example like this:

gnome-games-help-2.28. 1298260% [=============] 812 kB/s | 5.8 MB     --:-- ETA

with percentage number changing apparently at random and speed numbers jumping wildly up and down from some bytes per second to multi-megabytes per second.  ETA remains all the time as in this sample above.

Yum still works but what it shows here is not so useful.

Version-Release number of selected component (if applicable):
yum-3.2.24-9.fc12.noarch

How reproducible:
every time something is downloaded 

Additional information:
This is on x86_64 and I do not know how this looks with 32-bits.

Comment 1 James Antill 2009-10-07 03:11:32 UTC
what is the version of python-urlgrabber?

Comment 2 Michal Jaegermann 2009-10-07 15:30:33 UTC
> what is the version of python-urlgrabber?
python-urlgrabber-3.9.1-2.fc12.noarch installed on 2009-09-26.
The current version of yum, 3.2.24-9.fc12, showed up few days later.

Comment 3 seth vidal 2009-10-08 15:13:39 UTC
is this happening every time? Are you only using a specific mirror or are you changing it around? I ask b/c this looks like it might be a situation where a mirror is not returning ANY size information at all. Maybe a bad ftp-based mirror in fact.

Comment 4 Michal Jaegermann 2009-10-08 16:52:00 UTC
> is this happening every time?

Yes, in recent times.

I am afraid that I am unable to pinpoint an exact moment when this started to happen.  In the first moment I dismissed that as some strange hiccup which most likely will not last (maybe something to do with a mirror) but it appears to stick.

> Are you only using a specific mirror or are you changing it around?

I am using yum-plugin-fastestmirror and that tends to jump around.  I was not keeping logs which mirrors were chosen but I do not think that this was the same
every time.

> Maybe a bad ftp-based mirror in fact.

Maybe but it would have to be picked up by yum-plugin-fastestmirror pretty consistently.  I think that yesterday this was astromirror.uchicago.edu although I cannot be sure.  A protocol used is not reported and mirrorlist.txt does not seem to be around anymore; although it would come handy at times.

I removed /var/cache/yum/timedhosts.txt and tried with today updates.  This time
mirrors.pavlovmedia.net, which I did not recall seeing previously at all, was chosen and indeed a display in question looked normal.  So this indeed maybe a question what information is supplied by a mirror.

OTOH I did not see such strange numbers ever on my _current_ Fedora 10 and Fedora 11 installations.  Also yum would likely be better not to show some numbers which could not be possibly right.

Comment 5 Michal Jaegermann 2009-10-09 21:39:28 UTC
Ahem!  Today I got something even more "interesting".  The same as yesterday mirrors.pavlovmedia.net was used and at some moment a display started apparently looping on something which was changing all the time but it looked in this style:

(13/16): x | 322 kB 5407526422658026874937709692815567553513877131975720:36 ETA

(a package name was changing between nothing and "xsc").  After a while this stopped on

(13/16): xscreensaver-base-5.10-2.fc12.x86_64.rpm                       | 322 kB

with no apparent continuation.  After ^C and with yum restarted 405 kB of xscreensaver-base plus three remaining packages were downloaded very quickly
and a remainder of an update procedure followed without any incidents.

Comment 6 Bug Zapper 2009-11-16 13:20:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Thorsten Leemhuis 2010-04-23 18:34:13 UTC
(In reply to comment #5)
> Ahem!  Today I got something even more "interesting".  [...]
> (13/16): x | 322 kB 5407526422658026874937709692815567553513877131975720:36 ETA

Something similar happened to me today with a instable and sometimes slow internet connection:
fedora/primary_db [...]  0.0 B/s | 1.9 MB 16095640009145560668278577731539217:04 ETA

python-urlgrabber-3.9.1-5.fc13.noarch on a mostly up2date F13

Comment 8 Fedora Update System 2010-05-11 15:52:48 UTC
python-urlgrabber-3.9.1-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-urlgrabber-3.9.1-7.fc13

Comment 9 Fedora Update System 2010-05-11 15:52:58 UTC
python-urlgrabber-3.9.1-4.2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-urlgrabber-3.9.1-4.2.fc12

Comment 10 Fedora Update System 2010-05-12 12:20:38 UTC
python-urlgrabber-3.9.1-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-urlgrabber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-urlgrabber-3.9.1-7.fc13

Comment 11 Fedora Update System 2010-05-12 17:53:26 UTC
python-urlgrabber-3.9.1-4.2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-urlgrabber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-urlgrabber-3.9.1-4.2.fc12

Comment 12 Fedora Update System 2010-05-18 21:44:40 UTC
python-urlgrabber-3.9.1-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-05-31 18:29:09 UTC
python-urlgrabber-3.9.1-4.2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.